libnvme(2)

NAME
enum nvme_ns_metadata_type - Namespace Metadata Element Types

SYNOPSIS
enum nvme_ns_metadata_type {
NVME_NS_METADATA_OS_NS_NAME ,
NVME_NS_METADATA_PRE_BOOT_NS_NAME ,
NVME_NS_METADATA_OS_NS_QUAL_1 ,
NVME_NS_METADATA_OS_NS_QUAL_2

};

Constants

NVME_NS_METADATA_OS_NS_NAME
    Name of the namespace in the operating system

NVME_NS_METADATA_PRE_BOOT_NS_NAME
    Name of the namespace in the pre-boot environment.

NVME_NS_METADATA_OS_NS_QUAL_1
    First qualifier of the Operating System Namespace Name.

NVME_NS_METADATA_OS_NS_QUAL_2
    Second qualifier of the Operating System Namespace Name.